## rb-source-header rb-source-header |

## Synopsis

    typedef             RBSourceHeaderPrivate;
    RBSourceHeader*     rb_source_header_new                (GtkUIManager *mgr,
                                                             GtkActionGroup *actiongroup);
    void                rb_source_header_set_source         (RBSourceHeader *header,
                                                             RBSource *player);
    RBSource*           rb_source_header_get_source         (RBSourceHeader *shell_player);
    void                rb_source_header_clear_search       (RBSourceHeader *header);
    void                rb_source_header_sync_control_state (RBSourceHeader *header);

## Description

## Details

### RBSourceHeaderPrivate

### rb_source_header_new ()

    RBSourceHeader*     rb_source_header_new                (GtkUIManager *mgr,
                                                             GtkActionGroup *actiongroup);

`mgr` : |
`actiongroup` : |
Returns : |

### rb_source_header_set_source ()

    void                rb_source_header_set_source         (RBSourceHeader *header,
                                                             RBSource *player);

`header` : |
`player` : |

### rb_source_header_get_source ()

    RBSource*           rb_source_header_get_source         (RBSourceHeader *shell_player);

`shell_player` : |
Returns : |

### rb_source_header_clear_search ()

    void                rb_source_header_clear_search       (RBSourceHeader *header);

`header` : |

### rb_source_header_sync_control_state ()

    void                rb_source_header_sync_control_state (RBSourceHeader *header);

`header` : |